# Generated by Django 4.0.2 on 2022-06-10 12:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('contact_persons', '0002_alter_contactperson_options_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category', models.CharField(max_length=50, verbose_name='Categorie')),
            ],
            options={
                'verbose_name': 'Categorie',
                'verbose_name_plural': 'Categorieën',
            },
        ),
        migrations.CreateModel(
            name='Ticket',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='Titel')),
                ('description', models.TextField(verbose_name='Beschrijving')),
                ('dt_added', models.DateTimeField(auto_now_add=True, verbose_name='Toevoeg datum')),
                ('priority', models.IntegerField(choices=[(0, 'Laag'), (1, 'Normaal'), (2, 'Hoog')], default=1, verbose_name='Prioriteit')),
                ('status', models.IntegerField(choices=[(0, 'Wachtend'), (1, 'Geaccepteerd'), (2, 'Afgewezen'), (3, 'Wordt aan gewerkt'), (4, 'Gearchiveerd')], default=0, verbose_name='Status')),
                ('assignee', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets', to=settings.AUTH_USER_MODEL, verbose_name='Medewerker')),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets', to='tickets.category', verbose_name='Categorie')),
                ('contact_person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tickets', to='contact_persons.contactperson', verbose_name='Contact persoon')),
            ],
            options={
                'verbose_name': 'Ticket',
                'verbose_name_plural': 'Tickets',
            },
        ),
    ]
